Bug 536126 - (RHQ-50) JMX Plugin - Add invokeOperations functionality to pass in EmsBean object. Just like Measurement's getValues workd
JMX Plugin - Add invokeOperations functionality to pass in EmsBean object. Ju...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Mark Spritzler
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 15:58 EST by Mark Spritzler
Modified: 2008-07-02 14:36 EDT (History)
0 users

See Also:
Fixed In Version: 1.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Spritzler 2008-03-07 15:58:00 EST
Currently the operation facet implementation will take the EmsBean as defined by the objectName in the plugin-configuration. However, in some cases the MBean to act on for the operation is different than the MBean that is used to discover it.

In the case of metrics, this functionality is already in the MBeanResourceComponent. So just copy that solution for operations. 
Comment 1 Mark Spritzler 2008-03-07 16:28:47 EST
r205
Comment 2 Red Hat Bugzilla 2009-11-10 16:10:47 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-50

Note You need to log in before you can comment on or make changes to this bug.